ECMQV< EC, COFACTOR_OPTION > Struct Template Reference

Elliptic Curve Menezes-Qu-Vanstone. More...

`#include <eccrypto.h>`

## Public Types

typedef MQV_Domain< DL_GroupParameters_EC< EC >, COFACTOR_OPTION > | Domain

## Detailed Description

template<class EC, class COFACTOR_OPTION = typename DL_GroupParameters_EC<EC>::DefaultCofactorOption>
struct ECMQV< EC, COFACTOR_OPTION >

Elliptic Curve Menezes-Qu-Vanstone.

Template Parameters

  EC | elliptic curve field
  COFACTOR_OPTION | cofactor multiplication option

See also
  CofactorMultiplicationOption, Elliptic Curve Menezes-Qu-Vanstone, AKA ECMQV

Definition at line 277 of file eccrypto.h.

## Member Typedef Documentation

## Domain

template<class EC , class COFACTOR_OPTION = typename DL_GroupParameters_EC<EC>::DefaultCofactorOption>

typedef MQV_Domain<DL_GroupParameters_EC<EC>, COFACTOR_OPTION> ECMQV< EC, COFACTOR_OPTION >::Domain

Definition at line 279 of file eccrypto.h.

The documentation for this struct was generated from the following file:

- eccrypto.h